import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/grainPriceCollectCitySum/` + url, ...arg)

/**
 * 市级粮食价格采集汇总Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/17 10:58
 **/
export default {
	// 获取市级粮食价格采集汇总分页
	grainPriceCollectCitySumPage(data) {
		return request('findPage', data, 'get')
	},
	// 提交市级粮食价格采集汇总表单 edit为true时为编辑，默认为新增
	grainPriceCollectCitySumSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除市级粮食价格采集汇总
	grainPriceCollectCitySumDelete(data) {
		return request('delete', data)
	},
	// 获取市级粮食价格采集汇总详情
	grainPriceCollectCitySumDetail(data) {
		return request('detail', data, 'get')
	},
	grainPriceCollectCitySumCollectCityUpload(data){
		return request('collectCityUpload',data,'get')
	},
	grainPriceCollectCitySumSum(data){
		return request('collectCitySum',data,'get');
	}
}
